Bug 582466 (CVE-2010-1321) - CVE-2010-1321 krb5: null pointer dereference in GSS-API library leads to DoS (MITKRB5-SA-2010-005)
Summary: CVE-2010-1321 krb5: null pointer dereference in GSS-API library leads to DoS ...
Status: CLOSED ERRATA
Alias: CVE-2010-1321
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100518,reported=20100414,sou...
Keywords: Security
Depends On: 583700 583701 583702 583703 583704 593458 642515 642517 646406 646407 646408 654335 654336 662638 662639 662640 669087 669088
Blocks: 712887
TreeView+ depends on / blocked
 
Reported: 2010-04-15 03:40 UTC by Vincent Danen
Modified: 2019-06-08 12:59 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-06-20 17:11:48 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0423 normal SHIPPED_LIVE Important: krb5 security update 2010-05-18 19:54:22 UTC
Red Hat Product Errata RHSA-2010:0770 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2010-10-14 13:35:50 UTC
Red Hat Product Errata RHSA-2010:0807 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2010-10-27 23:07:22 UTC
Red Hat Product Errata RHSA-2010:0873 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2010-11-10 12:10:54 UTC
Red Hat Product Errata RHSA-2010:0935 normal SHIPPED_LIVE Moderate: java-1.4.2-ibm security update 2010-12-01 21:48:52 UTC
Red Hat Product Errata RHSA-2010:0987 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security and bug fix update 2010-12-15 23:45:15 UTC
Red Hat Product Errata RHSA-2011:0152 normal SHIPPED_LIVE Moderate: java-1.4.2-ibm security update 2011-01-17 17:47:40 UTC
Red Hat Product Errata RHSA-2011:0880 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2011-06-16 19:21:49 UTC

Description Vincent Danen 2010-04-15 03:40:28 UTC
A null pointer dereference flaw was found in the MIT krb5 GSS-API library where certain invalid GSS-API tokens could cause a GSS-API acceptor (server, such as kadmind) to crash.  An authenticated remote attacker could take advantage of this flaw to cause GSS-API application servers, that link against the GSS-API library, to crash.

This flaw affects all known releases of MIT krb5 up to and including krb5-1.8.1.

A patch to correct this is available from http://web.mit.edu/kerberos/advisories/2010-005-patch.txt

This issue is known as CVE-2010-1321.

Acknowledgements:

Red Hat would like to thank the MIT Kerberos Team for responsibly reporting this issue.  Upstream acknowledges Shawn Emery of Oracle as the original reporter.

Comment 8 Vincent Danen 2010-05-18 19:08:55 UTC
This is now public:

http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2010-005.txt

Comment 9 Fedora Update System 2010-05-18 19:26:43 UTC
krb5-1.6.3-31.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/krb5-1.6.3-31.fc11

Comment 10 Fedora Update System 2010-05-18 19:27:10 UTC
krb5-1.7.1-9.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/krb5-1.7.1-9.fc12

Comment 11 Fedora Update System 2010-05-18 19:27:19 UTC
krb5-1.7.1-10.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/krb5-1.7.1-10.fc13

Comment 12 errata-xmlrpc 2010-05-18 19:54:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0423 https://rhn.redhat.com/errata/RHSA-2010-0423.html

Comment 14 Fedora Update System 2010-05-19 19:11:43 UTC
krb5-1.7.1-10.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-05-19 19:18:03 UTC
krb5-1.6.3-31.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-05-19 19:19:17 UTC
krb5-1.7.1-9.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Marc Schoenefeld 2010-10-13 11:24:13 UTC
Update 22 of Oracle/Sun Java also addresses CVE-2010-1321.

Reference: 
http://www.oracle.com/technetwork/topics/security/javacpuoct2010-176258.html

Comment 18 errata-xmlrpc 2010-10-14 13:36:27 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0770 https://rhn.redhat.com/errata/RHSA-2010-0770.html

Comment 20 errata-xmlrpc 2010-10-27 23:07:34 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0807 https://rhn.redhat.com/errata/RHSA-2010-0807.html

Comment 21 errata-xmlrpc 2010-11-10 19:07:03 UTC
This issue has been addressed in following products:

  Extras for Red Hat Enterprise Linux 6

Via RHSA-2010:0873 https://rhn.redhat.com/errata/RHSA-2010-0873.html

Comment 23 errata-xmlrpc 2010-12-01 21:48:58 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0935 https://rhn.redhat.com/errata/RHSA-2010-0935.html

Comment 24 errata-xmlrpc 2010-12-15 23:45:33 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5
  Extras for Red Hat Enterprise Linux 6

Via RHSA-2010:0987 https://rhn.redhat.com/errata/RHSA-2010-0987.html

Comment 26 errata-xmlrpc 2011-01-17 17:47:50 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2011:0152 https://rhn.redhat.com/errata/RHSA-2011-0152.html

Comment 27 errata-xmlrpc 2011-06-16 19:22:07 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2011:0880 https://rhn.redhat.com/errata/RHSA-2011-0880.html


Note You need to log in before you can comment on or make changes to this bug.